"""Quark library."""
__version__ = "0.5.0"

import logging

from quarklib import ccm
from quarklib import config
from quarklib import controls
from quarklib import image
from quarklib import isp
from quarklib import lut
from quarklib.camera import Camera  # type: ignore[attr-defined]
from quarklib.camera import EventManager  # type: ignore[attr-defined]


def get_logger():
    """Get the ``quarklib`` logger."""
    return logging.getLogger("quarklib")


__all__ = (
    "config",
    "get_logger",
    "lut",
    "image",
    "isp",
    "ccm",
    "controls",
    "Camera",
    "EventManager",
)
